<?php
// Transfer fields
Configure::set('rspecial.transfer_fields',
[
    'domain' =>
    [
        'label' => Language::_('rspecial.transfer.domain', true),
        'type' => 'text'
    ],
    'EPPCode' =>
    [
        'label' => Language::_('rspecial.transfer.EPPCode', true),
        'type' => 'text'
    ]
]);

// Domain fields
Configure::set('rspecial.domain_fields',
[
    'domain' =>
    [
        'label' => Language::_('rspecial.domain.domain', true),
        'type' => 'text'
    ],
]);

// Nameserver fields
Configure::set('rspecial.nameserver_fields',
[
    'ns1' =>
    [
        'label' => Language::_('rspecial.nameserver.ns1', true),
        'type' => 'text'
    ],
    'ns2' =>
    [
        'label' => Language::_('rspecial.nameserver.ns2', true),
        'type' => 'text'
    ],
    'ns3' =>
    [
        'label' => Language::_('rspecial.nameserver.ns3', true),
        'type' => 'text'
    ],
    'ns4' =>
    [
        'label' => Language::_('rspecial.nameserver.ns4', true),
        'type' => 'text'
    ],
    'ns5' =>
    [
        'label' => Language::_('rspecial.nameserver.ns5', true),
        'type' => 'text'
    ]
]);

// Whois fields
Configure::set('rspecial.whois_fields',
[
    "registrant"    =>
    [
        'firstname' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantFirstName', true),
            'type' => 'text'
        ],
        'lastname' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantLastName', true),
            'type' => 'text'
        ],
        'fullname' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantFullname', true),
            'type' => 'text'
        ],
        'companyname' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantCompanyName', true),
            'type' => 'text'
        ],
        'email' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantEmail', true),
            'type' => 'text'
        ],
        'address1' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantAddress1', true),
            'type' => 'text'
        ],
        'address2' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantAddress2', true),
            'type' => 'text'
        ],
        'city' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantCity', true),
            'type' => 'text'
        ],
        'state' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantState', true),
            'type' => 'text'
        ],
        'zipcode' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantZipCode', true),
            'type' => 'text'
        ],
        'country' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantCountry', true),
            'type' => 'text'
        ],
        'phone' =>
        [
            'label' => Language::_('rspecial.whois.RegistrantPhone', true),
            'type' => 'text'
        ],
    ],

    "tech"       =>
    [
        'firstname' =>
        [
            'label' => Language::_('rspecial.whois.TechFirstName', true),
            'type' => 'text'
        ],
        'lastname' =>
        [
            'label' => Language::_('rspecial.whois.TechLastName', true),
            'type' => 'text'
        ],
        'fullname' =>
        [
            'label' => Language::_('rspecial.whois.TechFullname', true),
            'type' => 'text'
        ],
        'companyname' =>
        [
            'label' => Language::_('rspecial.whois.TechCompanyName', true),
            'type' => 'text'
        ],
        'email' =>
        [
            'label' => Language::_('rspecial.whois.TechEmail', true),
            'type' => 'text'
        ],
        'address1' =>
        [
            'label' => Language::_('rspecial.whois.TechAddress1', true),
            'type' => 'text'
        ],
        'address2' =>
        [
            'label' => Language::_('rspecial.whois.TechAddress2', true),
            'type' => 'text'
        ],
        'city' =>
        [
            'label' => Language::_('rspecial.whois.TechCity', true),
            'type' => 'text'
        ],
        'state' =>
        [
            'label' => Language::_('rspecial.whois.TechState', true),
            'type' => 'text'
        ],
        'zipcode' =>
        [
            'label' => Language::_('rspecial.whois.TechZipCode', true),
            'type' => 'text'
        ],
        'country' =>
        [
            'label' => Language::_('rspecial.whois.TechCountry', true),
            'type' => 'text'
        ],
        'phone' =>
        [
            'label' => Language::_('rspecial.whois.TechPhone', true),
            'type' => 'text'
        ],
    ]
]
);